<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.xuxueli</groupId>
	<artifactId>integrated-job</artifactId>
	<version>2.3.0</version>
	<packaging>pom</packaging>

	<modules>
		<module>job-core</module>
		<module>job-admin</module>
		<module>job-executor</module>
	</modules>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<maven.compiler.encoding>UTF-8</maven.compiler.encoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.test.skip>true</maven.test.skip>

		<netty-all.version>4.1.58.Final</netty-all.version>
		<gson.version>2.8.6</gson.version>

		<spring.version>5.3.3</spring.version>
		<integrated-platform.version>2.0.0</integrated-platform.version>
		<spring-boot-dependencies.version>2.1.14.RELEASE</spring-boot-dependencies.version>
		<knife4j-spring-boot-starter.version>3.0.3</knife4j-spring-boot-starter.version>
		
		<mybatis-spring-boot-starter.version>2.1.4</mybatis-spring-boot-starter.version>
		<mysql-connector-java.version>8.0.23</mysql-connector-java.version>

		<slf4j-api.version>1.7.30</slf4j-api.version>
		<junit-jupiter.version>5.7.1</junit-jupiter.version>
		<javax.annotation-api.version>1.3.2</javax.annotation-api.version>

		<groovy.version>3.0.7</groovy.version>

		<maven-source-plugin.version>3.2.1</maven-source-plugin.version>
		<maven-javadoc-plugin.version>3.2.0</maven-javadoc-plugin.version>
		<maven-gpg-plugin.version>1.6</maven-gpg-plugin.version>
		<maven-war-plugin.version>3.3.1</maven-war-plugin.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.persagy</groupId>
				<artifactId>integrated-platform</artifactId>
				<version>${integrated-platform.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<scm>
		<tag>master</tag>
		<url>https://github.com/xuxueli/xxl-job.git</url>
		<connection>scm:git:https://github.com/xuxueli/xxl-job.git</connection>
		<developerConnection>scm:git:git@github.com:xuxueli/xxl-job.git</developerConnection>
	</scm>

	<developers>
		<developer>
			<id>XXL</id>
			<name>xuxueli</name>
			<email>931591021@qq.com</email>
			<url>https://github.com/xuxueli</url>
		</developer>
	</developers>

	<repositories>
		<repository>
			<id>persagy</id>
			<name>releases Repository</name>
			<url>http://47.93.132.139:8081/nexus/content/repositories/persagy/</url>
		</repository>

		<repository>
			<id>integrated</id>
			<name>releases Repository</name>
			<url>http://47.93.132.139:8081/nexus/content/repositories/integrated/</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>aliyun</id>
			<name>releases Repository</name>
			<url>http://maven.aliyun.com/nexus/content/groups/public</url>
		</repository>
	</repositories>
	
</project>